Subject: bug#31758: 26.1; Emacs crashes trying to display CROSS MARK

From: Alex Branham <[email-masked]>
Date: Fri, 08 Jun 2018 11:03:35 -0500

On Fri 08 Jun 2018 at 10:36, Robert Pluim <[email-masked]> wrote:

> Alex Branham <[email-masked]> writes:
>
>> From emacs -Q:
>>
>> C-x 8 RET CROSS MARK RET
>>
>> crashes Emacs every time. Emacs also crashes when trying to display
>> CROSS MARK anywhere (mu4e uses this when mu4e-use-fancy-chars is
>> non-nil).
>>
>> Let me know what other information I can provide
>>
>
> My crystal ball says that 'XFT_DEBUG=16 emacs' will say something
> about loading an emoji font just before it crashes. I think youʼre the
> third this week.
>
> Is it possible for you to try the latest version of the emacs-26
> branch? This should be fixed there.

Very nice crystal ball. The problem does indeed seem to be fixed on
emacs-26. Do you happen to know what commit(s) fix the issue? I'd like
to ask my distro to backport those commits until 26.2 gets released.

Alex